%define Werror_cflags %{nil}

%define shortver %(echo %{version} | cut -d. -f-2)

%define major 2.0.0
%define libkicad_3dsg %mklibname kicad_3dsg %{major}
%define libkiapi %mklibname kiapi %{version}
%define libkigal %mklibname kigal %{version}
%define devname %mklibname %{name} -d

Summary:	EDA software suite for creation of schematic diagrams and PCBs
Name:		kicad
Version:	9.0.3
Release:	1
Epoch:		2
License:	GPLv2+
Group:		Sciences/Computer science
Url:		https://www.kicad.org
Source0:	https://gitlab.com/kicad/code/kicad/-/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	https://gitlab.com/kicad/services/kicad-doc/-/archive/%{version}/%{name}-doc-%{version}.tar.gz
Source2:	https://gitlab.com/kicad/libraries/kicad-symbols/-/archive/%{version}/%{name}-symbols-%{version}.tar.gz
Source4:	https://gitlab.com/kicad/libraries/kicad-footprints/-/archive/%{version}/%{name}-footprints-%{version}.tar.gz
Source5:	https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/%{version}/%{name}-packages3D-%{version}.tar.gz
Source8:	https://gitlab.com/kicad/libraries/kicad-templates/-/archive/%{version}/%{name}-templates-%{version}.tar.gz
# Need manually fix for files or syntax when update
Source200:	fp-lib-table-modules-nothing
Source201:	fp-lib-table-modules
Source202:	fp-lib-table-modules-all
Source203:	fp-lib-table-modules-old
# Help from previous version
Source300:	doc-nl-5.0.2.tar.xz
Patch0:		kicad-7.0.2-nostrip.patch
Patch1:		kicad-9.0.0-default-settings.patch
BuildRequires:	a2x
BuildRequires:	asciidoc
BuildRequires:	asciidoctor
BuildRequires:	cmake
BuildRequires:	dblatex
BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	git
BuildRequires:	perl(Unicode::GCString)
BuildRequires:	po4a
BuildRequires:	python3-wxpython4
BuildRequires:	source-highlight
BuildRequires:	swig
BuildRequires:	boost-devel
BuildRequires:	glm-devel
BuildRequires:	nng-devel
BuildRequires:	opencascade-devel
BuildRequires:	wxgtku3.2-devel
BuildRequires:	unixODBC-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgit2)
BuildRequires:	pkgconfig(ngspice)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(zlib)
Requires:	electronics-menu
Requires:	python3-wxpython4
Requires:	%{libkicad_3dsg} = %{EVRD}
Requires:	%{libkigal} = %{EVRD}
Requires:	%{_lib}tbbmalloc2
Requires:	%{_lib}wx_baseu3.2_0
Requires:	%{_lib}wx_baseu_net3.2_0
Requires:	%{_lib}wx_baseu_xml3.2_0
Requires:	%{_lib}wx_gtk3u_aui3.2_0
Requires:	%{_lib}wx_gtk3u_core3.2_0
Requires:	%{_lib}wx_gtk3u_gl3.2_0
Requires:	%{_lib}wx_gtk3u_html3.2_0
Requires:	%{_lib}wx_gtk3u_propgrid3.2_0
Requires:	%{_lib}wx_gtk3u_richtext3.2_0
Requires:	%{_lib}wx_gtk3u_stc3.2_0
Requires:	%{name}-doc = %{EVRD}
Recommends:	%{name}-doc-ru = %{EVRD}
Recommends:	%{name}-modules = %{EVRD}
Recommends:	%{name}-modules-packages3d = %{EVRD}

%description
KiCad is an EDA software to design electronic schematic
diagrams and printed circuit board artwork up to 16 layers.
KiCad is a set of four softwares and a project manager:
- KiCad: project manager
- Eeschema: schematic entry
- Pcbnew: board editor
- Cvpcb: footprint selector for components used in the circuit design
- Gerbview: GERBER viewer (photoplotter documents)

%files -f %{name}.lang
%doc AUTHORS.txt CONTRIBUTING.md README.md
%license LICENSE*
%{_appdatadir}/org.%{name}.%{name}.metainfo.xml
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-*.*
%{_datadir}/mime/packages/%{name}-gerbers.xml
%{_datadir}/mime/packages/%{name}-%{name}.xml
%{_datadir}/%{name}/demos
%{_datadir}/%{name}/fp-lib-tables/fp-lib-table-modules*
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/schemas
%{_datadir}/%{name}/scripting
%{_datadir}/%{name}/symbols
%{_datadir}/%{name}/template
%dir %{_datadir}/%{name}/3dmodels
%dir %{_datadir}/%{name}/fp-lib-tables
%{_docdir}/%{name}/%{name}-footprints-*.md
%{_docdir}/%{name}/%{name}-symbols-*.md
%{_docdir}/%{name}/%{name}-templates-*.md
%{_libdir}/%{name}/plugins/3d/libs3d_plugin_*.so
%{py3_platsitedir}/pcbnew.*
%{py3_platsitedir}/_pcbnew.so
%{py3_platsitedir}/__pycache__

%posttrans
echo "

If you need it, install any of the packages:
kicad-modules
kicad-modules-old
kicad-modules-packages3d
kicad-modules-packages3d-old
and rename or delete the file
~/.config/kicad/%{shortver}/fp-lib-table

=== Russian ===

Если требуется, доустановите любой из пакетов:
kicad-modules
kicad-modules-old
kicad-modules-packages3d
kicad-modules-packages3d-old
и переименуйте или удалите файл
~/.config/kicad/%{shortver}/fp-lib-table

"

#----------------------------------------------------------------------------

%package -n %{libkicad_3dsg}
Summary:	KiCad’s scene graph library for 3D Plugins
Group:		System/Libraries

%description -n %{libkicad_3dsg}
It is KiCad’s scene graph library kicad_3dsg for 3D plugins.
All plugins which support model visualization must translate
the model data into a scene graph via this library.

%files -n %{libkicad_3dsg}
%{_libdir}/libkicad_3dsg.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libkiapi}
Summary:	KiCad’s API shared library
Group:		System/Libraries

%description -n %{libkiapi}
It is KiCad’s API shared library.

%files -n %{libkiapi}
%{_libdir}/libkiapi.so.%{version}*

#----------------------------------------------------------------------------

%package -n %{libkigal}
Summary:	KiCad’s OpenGL GAL shared library
Group:		System/Libraries

%description -n %{libkigal}
It is KiCad’s OpenGL GAL shared library.

%files -n %{libkigal}
%{_libdir}/libkigal.so.%{version}*
%{_libdir}/libkicommon.so.%{version}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	KiCad development files
Group:		Development/C++
Requires:	%{libkiapi} = %{EVRD}
Requires:	%{libkicad_3dsg} = %{EVRD}
Requires:	%{libkigal} = %{EVRD}

%description -n %{devname}
KiCad development files.

%files -n %{devname}
%{_libdir}/libkiapi.so
%{_libdir}/libkigal.so
%{_libdir}/libkicommon.so
%{_libdir}/lib%{name}_3dsg.so

#----------------------------------------------------------------------------

%package modules
Summary:	Pretty modules for KiCad
Group:		Sciences/Computer science
Requires:	%{name} = %{EVRD}
BuildArch:	noarch

%description modules
All new *.pretty modules for KiCad.

%files modules
%doc AUTHORS.txt CONTRIBUTING.md README.md
%license LICENSE*
%{_datadir}/%{name}/footprints/Audio_Module.pretty
%{_datadir}/%{name}/footprints/Battery.pretty
%{_datadir}/%{name}/footprints/Button_Switch_Keyboard.pretty
%{_datadir}/%{name}/footprints/Button_Switch_SMD.pretty
%{_datadir}/%{name}/footprints/Button_Switch_THT.pretty
%{_datadir}/%{name}/footprints/Buzzer_Beeper.pretty
%{_datadir}/%{name}/footprints/Calibration_Scale.pretty
%{_datadir}/%{name}/footprints/Capacitor_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitor_Tantalum_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitor_THT.pretty
%{_datadir}/%{name}/footprints/Connector_AMASS.pretty
%{_datadir}/%{name}/footprints/Connector_Amphenol.pretty
%{_datadir}/%{name}/footprints/Connector_Audio.pretty
%{_datadir}/%{name}/footprints/Connector_BarrelJack.pretty
%{_datadir}/%{name}/footprints/Connector_Card.pretty
%{_datadir}/%{name}/footprints/Connector_Coaxial.pretty
%{_datadir}/%{name}/footprints/Connector_DIN.pretty
%{_datadir}/%{name}/footprints/Connector_Dsub.pretty
%{_datadir}/%{name}/footprints/Connector_FFC-FPC.pretty
%{_datadir}/%{name}/footprints/Connector_Harting.pretty
%{_datadir}/%{name}/footprints/Connector_Harwin.pretty
%{_datadir}/%{name}/footprints/Connector_Hirose_DF40.pretty
%{_datadir}/%{name}/footprints/Connector_Hirose_FX8.pretty
%{_datadir}/%{name}/footprints/Connector_Hirose.pretty
%{_datadir}/%{name}/footprints/Connector_IDC.pretty
%{_datadir}/%{name}/footprints/Connector_JAE.pretty
%{_datadir}/%{name}/footprints/Connector_JAE_WP7B.pretty
%{_datadir}/%{name}/footprints/Connector_JST.pretty
%{_datadir}/%{name}/footprints/Connector_Molex_Milligrid.pretty
%{_datadir}/%{name}/footprints/Connector_Molex.pretty
%{_datadir}/%{name}/footprints/Connector_PCBEdge.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_GMSTB.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MC_HighVoltage.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MC.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MSTB.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_SPT.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_1.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_1.27mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_2.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_2.54mm.pretty
%{_datadir}/%{name}/footprints/Connector_Pin.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_1.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_1.27mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_2.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_2.54mm.pretty
%{_datadir}/%{name}/footprints/Connector.pretty
%{_datadir}/%{name}/footprints/Connector_RJ.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_FSI.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HLE_SMD.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HLE_THT.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HPM_THT.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HSEC8.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_LTMM.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_MicroMate.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_MicroPower.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec.pretty
%{_datadir}/%{name}/footprints/Connector_SATA_SAS.pretty
%{_datadir}/%{name}/footprints/Connector_Stocko.pretty
%{_datadir}/%{name}/footprints/Connector_TE-Connectivity.pretty
%{_datadir}/%{name}/footprints/Connector_USB.pretty
%{_datadir}/%{name}/footprints/Connector_Video.pretty
%{_datadir}/%{name}/footprints/Connector_Wago.pretty
%{_datadir}/%{name}/footprints/Connector_Wire.pretty
%{_datadir}/%{name}/footprints/Connector_Wuerth.pretty
%{_datadir}/%{name}/footprints/Connector_Zhaoxing.pretty
%{_datadir}/%{name}/footprints/Converter_ACDC.pretty
%{_datadir}/%{name}/footprints/Converter_DCDC.pretty
%{_datadir}/%{name}/footprints/Crystal.pretty
%{_datadir}/%{name}/footprints/Diode_SMD.pretty
%{_datadir}/%{name}/footprints/Diode_THT.pretty
%{_datadir}/%{name}/footprints/Display_7Segment.pretty
%{_datadir}/%{name}/footprints/Display.pretty
%{_datadir}/%{name}/footprints/Ferrite_THT.pretty
%{_datadir}/%{name}/footprints/Fiducial.pretty
%{_datadir}/%{name}/footprints/Filter.pretty
%{_datadir}/%{name}/footprints/Fuse.pretty
%{_datadir}/%{name}/footprints/Heatsink.pretty
%{_datadir}/%{name}/footprints/Inductor_SMD.pretty
%{_datadir}/%{name}/footprints/Inductor_SMD_Wurth.pretty
%{_datadir}/%{name}/footprints/Inductor_THT.pretty
%{_datadir}/%{name}/footprints/Inductor_THT_Wurth.pretty
%{_datadir}/%{name}/footprints/Jumper.pretty
%{_datadir}/%{name}/footprints/LED_SMD.pretty
%{_datadir}/%{name}/footprints/LED_THT.pretty
%{_datadir}/%{name}/footprints/Module.pretty
%{_datadir}/%{name}/footprints/Motors.pretty
%{_datadir}/%{name}/footprints/MountingEquipment.pretty
%{_datadir}/%{name}/footprints/MountingHole.pretty
%{_datadir}/%{name}/footprints/Mounting_Wuerth.pretty
%{_datadir}/%{name}/footprints/NetTie.pretty
%{_datadir}/%{name}/footprints/OptoDevice.pretty
%{_datadir}/%{name}/footprints/Oscillator.pretty
%{_datadir}/%{name}/footprints/Package_BGA.pretty
%{_datadir}/%{name}/footprints/Package_CSP.pretty
%{_datadir}/%{name}/footprints/Package_DFN_QFN.pretty
%{_datadir}/%{name}/footprints/Package_DIP.pretty
%{_datadir}/%{name}/footprints/Package_DirectFET.pretty
%{_datadir}/%{name}/footprints/Package_LCC.pretty
%{_datadir}/%{name}/footprints/Package_LGA.pretty
%{_datadir}/%{name}/footprints/Package_QFP.pretty
%{_datadir}/%{name}/footprints/Package_SIP.pretty
%{_datadir}/%{name}/footprints/Package_SO_J-Lead.pretty
%{_datadir}/%{name}/footprints/Package_SON.pretty
%{_datadir}/%{name}/footprints/Package_SO.pretty
%{_datadir}/%{name}/footprints/Package_TO_SOT_SMD.pretty
%{_datadir}/%{name}/footprints/Package_TO_SOT_THT.pretty
%{_datadir}/%{name}/footprints/Potentiometer_SMD.pretty
%{_datadir}/%{name}/footprints/Potentiometer_THT.pretty
%{_datadir}/%{name}/footprints/Relay_SMD.pretty
%{_datadir}/%{name}/footprints/Relay_THT.pretty
%{_datadir}/%{name}/footprints/Resistor_SMD.pretty
%{_datadir}/%{name}/footprints/Resistor_THT.pretty
%{_datadir}/%{name}/footprints/RF_Antenna.pretty
%{_datadir}/%{name}/footprints/RF_Converter.pretty
%{_datadir}/%{name}/footprints/RF_GPS.pretty
%{_datadir}/%{name}/footprints/RF_GSM.pretty
%{_datadir}/%{name}/footprints/RF_Mini-Circuits.pretty
%{_datadir}/%{name}/footprints/RF_Module.pretty
%{_datadir}/%{name}/footprints/RF.pretty
%{_datadir}/%{name}/footprints/RF_Shielding.pretty
%{_datadir}/%{name}/footprints/RF_WiFi.pretty
%{_datadir}/%{name}/footprints/Rotary_Encoder.pretty
%{_datadir}/%{name}/footprints/Sensor_Audio.pretty
%{_datadir}/%{name}/footprints/Sensor_Current.pretty
%{_datadir}/%{name}/footprints/Sensor_Distance.pretty
%{_datadir}/%{name}/footprints/Sensor_Humidity.pretty
%{_datadir}/%{name}/footprints/Sensor_Motion.pretty
%{_datadir}/%{name}/footprints/Sensor_Pressure.pretty
%{_datadir}/%{name}/footprints/Sensor.pretty
%{_datadir}/%{name}/footprints/Sensor_Voltage.pretty
%{_datadir}/%{name}/footprints/Socket.pretty
%{_datadir}/%{name}/footprints/Symbol.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_4Ucon.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Altech.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_CUI.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Degson.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Dinkle.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_MetzConnect.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Philmore.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Phoenix.pretty
%{_datadir}/%{name}/footprints/TerminalBlock.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_RND.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_TE-Connectivity.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_WAGO.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Wuerth.pretty
%{_datadir}/%{name}/footprints/TestPoint.pretty
%{_datadir}/%{name}/footprints/Transformer_SMD.pretty
%{_datadir}/%{name}/footprints/Transformer_THT.pretty
%{_datadir}/%{name}/footprints/Transistor_Power_Module.pretty
%{_datadir}/%{name}/footprints/Transistor_Power.pretty
%{_datadir}/%{name}/footprints/Valve.pretty
%{_datadir}/%{name}/footprints/Varistor.pretty

%posttrans modules
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery_Holders.pretty ]; then
	cp -f fp-lib-table-modules-all ../template/fp-lib-table
else
	cp -f fp-lib-table-modules ../template/fp-lib-table
fi
popd

%postun modules
if ! [ -d %{_datadir}/%{name}/fp-lib-tables ]; then exit 0; fi
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery_Holders.pretty ]; then
	cp -f fp-lib-table-modules-old ../template/fp-lib-table
else
	cp -f fp-lib-table-modules-nothing ../template/fp-lib-table
fi
popd

#----------------------------------------------------------------------------

%package modules-packages3d
Summary:	Packages3d modules for KiCad
Group:		Sciences/Computer science
Recommends:	%{name} = %{EVRD}
BuildArch:	noarch

%description modules-packages3d
All new *.3dshapes modules for KiCad.

%files modules-packages3d
%doc %{name}-packages3D-%{version}/{CREDITS.md,README.md}
%license %{name}-packages3D-%{version}/LICENSE.md
%{_datadir}/%{name}/3dmodels/*.3dshapes

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for KiCad
Group:		Documentation
Obsoletes:	%{name}-doc-hu < %{EVRD}
Obsoletes:	%{name}-doc-pt < %{EVRD}
Provides:	%{name}-doc-hu = %{EVRD}
Provides:	%{name}-doc-pt = %{EVRD}
BuildArch:	noarch

%description doc
Documentation and tutorials for KiCad in English.

%files doc
%doc %{name}-doc-%{version}/{AUTHORS_README.adoc,CHEATSHEET.adoc,README.adoc}
%license %{name}-doc-%{version}/LICENSE.adoc
%{_docdir}/%{name}/help/en

#----------------------------------------------------------------------------

%package doc-ca
Summary:	Documentation for KiCad in Catalan
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ca
BuildArch:	noarch

%description doc-ca
Documentation and tutorials for KiCad in Catalan.

%files doc-ca
%{_docdir}/%{name}/help/ca

#----------------------------------------------------------------------------

%package doc-de
Summary:	Documentation for KiCad in German
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-de
BuildArch:	noarch

%description doc-de
Documentation and tutorials for KiCad in German.

%files doc-de
%{_docdir}/%{name}/help/de

#----------------------------------------------------------------------------

%package doc-es
Summary:	Documentation for KiCad in Spanish
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-es
BuildArch:	noarch

%description doc-es
Documentation and tutorials for KiCad in Spanish.

%files doc-es
%{_docdir}/%{name}/help/es

#----------------------------------------------------------------------------

%package doc-fr
Summary:	Documentation for KiCad in French
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-fr
BuildArch:	noarch

%description doc-fr
Documentation and tutorials for KiCad in French.

%files doc-fr
%{_docdir}/%{name}/help/fr

#----------------------------------------------------------------------------

%package doc-id
Summary:	Documentation for KiCad in Indonesian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-id
BuildArch:	noarch

%description doc-id
Documentation and tutorials for KiCad in Indonesian.

%files doc-id
%{_docdir}/%{name}/help/id

#----------------------------------------------------------------------------

%package doc-it
Summary:	Documentation for KiCad in Italian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-it
BuildArch:	noarch

%description doc-it
Documentation and tutorials for KiCad in Italian.

%files doc-it
%{_docdir}/%{name}/help/it

#----------------------------------------------------------------------------

%package doc-ja
Summary:	Documentation for KiCad in Japanese
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ja
BuildArch:	noarch

%description doc-ja
Documentation and tutorials for KiCad in Japanese.

%files doc-ja
%{_docdir}/%{name}/help/ja

#----------------------------------------------------------------------------

%package doc-nl
Summary:	Documentation for KiCad in Dutch
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-nl
BuildArch:	noarch

%description doc-nl
Documentation and tutorials for KiCad in Dutch.

%files doc-nl
%{_docdir}/%{name}/help/nl

#----------------------------------------------------------------------------

%package doc-pl
Summary:	Documentation for KiCad in Polish
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-pl
BuildArch:	noarch

%description doc-pl
Documentation and tutorials for KiCad in Polish

%files doc-pl
%{_docdir}/%{name}/help/pl

#----------------------------------------------------------------------------

%package doc-ru
Summary:	Documentation for KiCad in Russian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ru
BuildArch:	noarch

%description doc-ru
Documentation and tutorials for KiCad in Russian.

%files doc-ru
%{_docdir}/%{name}/help/ru

#----------------------------------------------------------------------------

%package doc-zh
Summary:	Documentation for KiCad in Chinese
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-zh
BuildArch:	noarch

%description doc-zh
Documentation and tutorials for KiCad in Chinese.

%files doc-zh
%{_docdir}/%{name}/help/zh

#----------------------------------------------------------------------------

%prep
%autosetup -p1
tar xzf %{SOURCE1}
tar xzf %{SOURCE2}
tar xzf %{SOURCE4}
tar xzf %{SOURCE5}
tar xzf %{SOURCE8}

%build
# Build symbols libraries
pushd %{name}-symbols-%{version}
%cmake
%make_build
popd

# Build kicad-doc
pushd %{name}-doc-%{version}
%cmake -DBUILD_FORMATS=html
%make_build
popd

# Build kicad-footprints
pushd %{name}-footprints-%{version}
%cmake
%make_build
popd

# Build kicad-packages3D
pushd %{name}-packages3D-%{version}
%cmake
%make_build
popd

# Build kicad-templates
pushd %{name}-templates-%{version}
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
%make_build
popd

# Build kicad
%cmake \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo	\
	-DKICAD_BUILD_I18N=ON			\
	-DKICAD_BUILD_QA_TESTS=OFF		\
	-DKICAD_I18N_UNIX_STRICT_PATH=ON	\
	-DKICAD_SCRIPTING=ON			\
	-DKICAD_SCRIPTING_ACTION_MENU=ON	\
	-DKICAD_SCRIPTING_MODULES=ON		\
	-DKICAD_SCRIPTING_PYTHON3=ON		\
	-DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON	\
	-DKICAD_SPICE=ON			\
	-DKICAD_USE_EGL=ON			\
	-DKICAD_VERSION_EXTRA=%{release}
%make_build VERBOSE=1

%install
%make_install -C build

for desktopfile in %{buildroot}%{_datadir}/applications/*.desktop ; do
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category Development			\
	--delete-original				\
	${desktopfile}
done

mkdir -p %{buildroot}%{_docdir}/%{name}
# Install symbols libraries
pushd %{name}-symbols-%{version}
%make_install -C build
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-symbols-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-symbols-README.md
popd

# Install templates
pushd %{name}-templates-%{version}
%make_install -C build
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-templates-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-templates-README.md
popd

# Install footprints
pushd %{name}-footprints-%{version}
%make_install -C build
cp -f CONTRIBUTING.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-CONTRIBUTING.md
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-README.md
popd

# Install packages3D
pushd %{name}-packages3D-%{version}
%make_install -C build
popd

# Install kicad-doc
pushd %{name}-doc-%{version}
%make_install -C build
popd

rm -rf %{buildroot}%{_datadir}/%{name}/footprints/*/{.gitattributes,.travis.yml}

cp -f %{SOURCE201} %{buildroot}%{_datadir}/%{name}/template/fp-lib-table
mkdir -p %{buildroot}%{_datadir}/%{name}/fp-lib-tables
ln -s ../fp-lib-tables %{buildroot}%{_datadir}/%{name}/template/fp-lib-tables
cp -f %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{buildroot}%{_datadir}/%{name}/fp-lib-tables/

# the pcbnew kiface and the python module are actually the same file
if cmp --quiet %{buildroot}%{_bindir}/_pcbnew.kiface %{buildroot}%{py3_puresitedir}/_pcbnew.so; then
	ln -sf %{_bindir}/_pcbnew.kiface %{buildroot}%{py3_puresitedir}/_pcbnew.so
else
	chmod +x %{buildroot}%{_bindir}/_pcbnew.kiface
	chrpath --delete %{buildroot}%{_bindir}/_pcbnew.kiface
fi

# Deregression help for dutch
pushd %{buildroot}%{_docdir}/%{name}/help
tar -xf %{SOURCE300}
popd

chmod -x %{buildroot}%{_datadir}/%{name}/scripting/kicad_pyshell/*.py
chmod -x %{buildroot}%{_datadir}/%{name}/scripting/plugins/*.py
chmod -x %{buildroot}%{_datadir}/%{name}/3dmodels/*/*.step
chmod -x %{buildroot}%{_datadir}/%{name}/3dmodels/*/*.wrl

%find_lang %{name}
